Bug 62110 - configure fails because libGLU needs -lGL to link
Summary: configure fails because libGLU needs -lGL to link
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.3 target:3.6.7
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 15:42 UTC by Benedikt Morbach
Modified: 2013-04-01 19:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
config.log (100.90 KB, text/plain)
2013-03-10 15:42 UTC, Benedikt Morbach
Details
patch to configure.ac (713 bytes, patch)
2013-03-10 15:44 UTC, Benedikt Morbach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benedikt Morbach 2013-03-10 15:42:21 UTC
Created attachment 76274 [details]
config.log

AC_CHECK_LIB doesn't pass -lGL and the GLU test fails to link (see attached config.log).
Comment 1 Benedikt Morbach 2013-03-10 15:44:21 UTC
Created attachment 76275 [details]
patch to configure.ac

This patch fixes the problem for me.

Also applies to 4.0 and 3.6 with enough fuzz and configure.in instead of configure.ac
Comment 2 Joel Madero 2013-03-18 17:07:34 UTC
Did you commit this patch to gerrit?
Comment 3 Michael Stahl (CIB) 2013-03-27 23:15:40 UTC
the patch makes sense.

Benedikt, could you please send a mail with a text like 
http://permalink.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/38402
to the mailing list libreoffice@lists.freedesktop.org ?

also in the future it's best to send a patch either to mailing list or to
gerrit (http://wiki.documentfoundation.org/Development/gerrit) because
developers look there far more often than at bugzilla for patches.
Comment 4 Commit Notification 2013-04-01 17:52:35 UTC
Benedikt Morbach committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fac49ace812a15ba10d30a3735b61ae30ac287c5

fdo#62110: GLU also needs -lGL to link



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-04-01 19:45:55 UTC
Benedikt Morbach committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c40a112923bf1c4441ea76bb8fe3a7a8aa10bef&h=libreoffice-4-0

fdo#62110: GLU also needs -lGL to link


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-04-01 19:53:22 UTC
Benedikt Morbach committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f47202a0e215ec4a4156f45199fea16b7239565&h=libreoffice-3-6

fdo#62110: GLU also needs -lGL to link


It will be available in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2013-04-01 19:54:38 UTC
thanks for your patch, committed to all branches now